OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
Chain Class Reference

A Chain object represents a chain within a Topology. More...

Inheritance diagram for Chain:

## Public Member Functions
def | __init__
| Construct a new Chain. More...
def | residues
| Iterate over all Residues in the Chain. More...
def | atoms
| Iterate over all Atoms in the Chain. More...
def | __len__

## Public Attributes
| index
| The index of the Chain within its Topology. More...
| topology
| The Topology this Chain belongs to. More...
| id
| A user defined identifier for this Chain. More...

## Detailed Description

A Chain object represents a chain within a Topology.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | index,
|  |  | topology,
|  |  | id
| ) |  |

Construct a new Chain.

You should call addChain() on the Topology instead of calling this directly.

## Member Function Documentation

def __len__ | ( |  | self | ) |

References Chain._residues.

def atoms | ( |  | self | ) |

Iterate over all Atoms in the Chain.

References Chain._residues.

Referenced by ForceField.registerScript().

def residues | ( |  | self | ) |

Iterate over all Residues in the Chain.

References Chain._residues.

## Member Data Documentation

id

A user defined identifier for this Chain.

index

The index of the Chain within its Topology.

Referenced by ForceField.registerScript().

topology

The Topology this Chain belongs to.

Referenced by DesmondDMSFile.getTopology().

The documentation for this class was generated from the following file:

- topology.py